<!-- Define the HTML document with Thymeleaf and layout namespaces -->
<html
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="layouts/defaultTemplate"
>
  <body>
    <!-- Content fragment for the layout -->
    <div layout:fragment="content">

      <!-- Hero section to highlight the main theme -->
      <div class="hero">
        <div class="hero-content text-center">
          <div class="max-w-l">
            <h1 class="mb-5 text-5xl font-bold">
              Vinyl Vibes: A Journey Through the '70s
            </h1>
            <p class="mb-5">
              The 1970s was a golden era for music and movies, with legendary
              rock bands like Led Zeppelin and Pink Floyd, disco icons like Bee
              Gees and ABBA, and blockbuster films such as Star Wars (1977) and
              The Godfather (1972). Reliving this era through DVD collections
              and classic albums brings back the magic of vinyl records, soulful
              melodies, and groundbreaking storytelling that defined a
              generation.
            </p>
            <button class="btn btn-primary">Explore</button> <!-- Call-to-action button -->
          </div>
        </div>
      </div>

      <!-- Statistics section to display numerical data -->
      <div class="stats shadow">
        <div class="stat place-items-center">
          <div class="stat-title">Downloads</div>
          <div class="stat-value">31K</div> <!-- Consider making this dynamic using Thymeleaf -->
          <div class="stat-desc">From January 1st to February 1st</div>
        </div>

        <div class="stat place-items-center">
          <div class="stat-title">Users</div>
          <div class="stat-value text-secondary">4,200</div> <!-- Data should be dynamically sourced -->
          <div class="stat-desc text-secondary">↗︎ 40 (2%)</div> <!-- Growth indicator -->
        </div>

        <div class="stat place-items-center">
          <div class="stat-title">New Registers</div>
          <div class="stat-value">1,200</div>
          <div class="stat-desc">↘︎ 90 (14%)</div> <!-- Decline indicator -->
        </div>
      </div>

      <!-- Main content section with categories -->
      <div class="border-body">
        <div class="section">
          
          <!-- Section for popular artists -->
          <h2 style="text-align: left">Popular Artists</h2>
          <div class="row row-cols-1 row-cols-md-6 g-4">
            <!-- Example card for an artist -->
            <div class="card card-compact bg-base-100 w-[20rem] shadow-xl">
              <figure>
                <img
                  th:src="@{/img/lucky-alamanda-u18Gh2YZaN4-unsplash.jpg}" 
                  class="card-img-top round"
                  alt="Album Image"
                />
              </figure>
              <div class="card-body items-center text-center">
                <h5 class="card-title">Artist name</h5> <!-- Artist name placeholder -->
              </div>
            </div>
            <!-- Repeat similar blocks for more artists -->
          </div>

          <!-- Section for popular albums and singles -->
          <h2 style="text-align: left">Popular Albums and Singles</h2>
          <div class="row row-cols-1 row-cols-md-6 g-4">
            <!-- Example card for an album -->
            <div class="card card-compact bg-base-100 w-[20rem] shadow-xl">
              <figure>
                <img
                  th:src="@{/img/lucky-alamanda-u18Gh2YZaN4-unsplash.jpg}"
                  class="card-img-top"
                  alt="Album Image"
                />
              </figure>
              <div class="card-body items-center text-center">
                <h5 class="card-title">Album name</h5>
                <p class="card-text">Artist name</p> <!-- Album artist placeholder -->
              </div>
            </div>
            <!-- Repeat similar blocks for more albums -->
          </div>

          <!-- Section for best sellers -->
          <h2 style="text-align: left">Best Seller</h2>
          <div class="row row-cols-1 row-cols-md-6 g-4">
            <!-- Example card for a best-selling song -->
            <div class="card card-compact bg-base-100 w-[20rem] shadow-xl">
              <figure>
                <img
                  th:src="@{/img/lucky-alamanda-u18Gh2YZaN4-unsplash.jpg}"
                  class="card-img-top"
                  alt="Album Image"
                />
              </figure>
              <div class="card-body items-center text-center">
                <h5 class="card-title">Song title</h5> <!-- Song title placeholder -->
                <p class="card-text">Artist name</p> <!-- Artist name placeholder -->
              </div>
            </div>
            <!-- Repeat similar blocks for more best-selling songs -->
          </div>
        </div>
      </div>

    </div>
  </body>
</html>
